﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DontDestroy : MonoBehaviour
{
    private static DontDestroy _managerInstance;

    public static DontDestroy ManagerInstance
    {
        get
        {
            return _managerInstance;
        }
    }

    private void Awake()
    {
        if(_managerInstance != null)
        {
            Destroy(gameObject);
        }
        else
        {
            _managerInstance = this;
        }

        DontDestroyOnLoad(gameObject);
    }

    private void OnDestroy()
    {
        if(_managerInstance != null)
        {
            _managerInstance = null;
        }
    }
}
